<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title th:replace="header :: title(Files)">Files</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link th:replace="header.html :: css">
</head>
<body class="p-3 mb-2 bg-light text-black">
<div class="container">
    <div th:replace="header.html :: logout"></div>
    <div class="tab-content" id="nav-tabContent">
        <nav th:replace="header.html :: navigation(files)"></nav>
        <p></p>
        <div th:if="${param.upload != null and param.upload[0] == 'success'}"class="alert alert-success alert-dismissible fade show" role="alert">
            Your file has been uploaded.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div th:if="${param.delete != null and param.delete[0] == 'success'}" class="alert alert-success alert-dismissible fade show" role="alert">
            Your file has been successfully deleted.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div th:if="${param.upload != null and param.upload[0] == 'error-big-file'}" class="alert alert-danger alert-dismissible fade show" role="alert">
            Your file is too big. Please select a file that is less than 200MB.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div th:if="${param.upload != null and param.upload[0] == 'error-empty-file'}" class="alert alert-warning alert-dismissible fade show" role="alert">
            You didn't select any file.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div th:if="${param.upload != null and param.upload[0] == 'error-file-exists'}" class="alert alert-danger alert-dismissible fade show" role="alert">
            A file with this name already exists. Please select a different file.
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="tab-pane fade show active" th:fragment="content" id="nav-files" role="tabpanel" aria-labelledby="nav-files-tab">
            <form action="#" enctype="multipart/form-data" th:action="@{/files}" method="POST">
                <div class="container">
                    <div class="row" style="margin: 1em;">
                        <div class="col-sm-2">
                            <label for="fileUpload">Upload a New File:</label>
                        </div>
                        <div class="col-sm-6">
                            <input type="file" class="form-control-file" id="fileUpload" name="fileUpload">
                        </div>
                        <div class="col-sm-4">
                            <button type="submit" class="btn btn-dark">Upload</button>
                        </div>
                    </div>
                </div>
            </form>
            <div class="table-responsive">
                <table class="table table-striped" id="fileTable">
                    <thead>
                    <tr>
                        <th style="width: 20%" scope="col"></th>
                        <th style="width: 80%" scope="col">File Name</th>
                        <th style="width: 80%" scope="col">Size</th>
                        <th style="width: 80%" scope="col">Type</th>
                    </tr>
                    </thead>
                    <tbody th:remove="all-but-first">
                    <tr class="file" th:each="file : ${fileList}">
                        <td>
                            <a target="_blank" th:href="@{'/files/' + ${file.getId()}}" class="btn btn-success">View</a>
                            <form action="#" th:action="@{'/files/delete/' + ${file.getId()}}" method="POST" hidden="true" aria-hidden="true">
                                <button type="submit" class="btn btn-danger" id="deleteFile" >Delete</button>
                            </form>
                            <button type="submit" class="btn btn-danger" id="delete-file-button" onclick="$('#deleteFile').click();">Delete</button>
                        </td>
                        <th scope="row" th:text="${file.filename}">ExampleFile.txt</th>
                        <td th:text="${file.getFileSizeAsString()}">10 kB</td>
                        <td th:text="${file.contentType}">Text</td>
                    </tr>
                    <tr>
                        <td>
                            <a target="_blank" class="btn btn-success">View</a>
                            <a  class="btn btn-danger">Delete</a>
                        </td>
                        <th scope="row">ExampleFile.txt</th>
                        <td>10 kB</td>
                        <td>Text</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div th:replace="header.html :: scripts"></div>

</body>
</html>